2

I installed the latest bitcoin node on my Raspberry Pi 4 following this guide: https://www.makeuseof.com/bitcoin-node-raspberry-pi/ Everything went well, only the last step where you need to start the GUI I get an error message.

pi@raspberrypi:~ $ /usr/local/bin/bitcoin-qt /usr/local/bin/bitcoin-qt: error while loading shared libraries: libfontconfig.so.1: cannot open shared object file: No such file or directory

I googled the issue and found a thread here on the same problem. How do I run GUI on Raspbian?

I downloaded all dependencies from the github page, but still the same issue.

I went to the file manager and indeed I found no such file or directory (/usr/local/bin/bitcoin-qt). I do find it somewhere else: enter image description here

But how do I open it from this place in the terminal? If I type /home/pi/bitcoin-0.21.1/bin/bitcoin-qt I get the same error.

The following I find in the instructions for installing the node on bitcoin.org: enter image description here

But libfontconfig1 is installed and is the newest version.

4
  • Which file did you download? You may have installed the 64-bit library but are using 32-bit binaries, so there may be compatibility issues.
    – Andrew Chow
    Sep 23 at 23:14
  • I downloaded the bitcoin core installer for ARM linux 64-32 bit. There's only one file to download and install. The Raspberry Pi has the 64 bit OS image installed. Can I still be using 32 bit binaries? How can I check and change this?
    – Ricky
    Sep 24 at 17:20
  • There is a link to the 64-bit binary under the "ARM linux" icon, it's the thing that says "64 bit". Try using that.
    – Andrew Chow
    Sep 25 at 1:43
  • Wow, thank you! I missed that :)
    – Ricky
    Sep 25 at 13:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.